### Class

# Devhelp KeywordModel

#### Description

    class Devhelp.KeywordModel : GObject.Object
      implements Gtk.TreeModel {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Implements

- GtkTreeModel

#### Constructors

###### dh_keyword_model_new

No description available.

#### Instance methods

###### dh_keyword_model_filter

Searches in the `DhBookList` of `profile` the list of `DhLink`‘s that correspond to `search_string`, and fills the `model` with that list (erasing the previous content).

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GtkTreeModel (28)

Please see GtkTreeModel for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GtkTreeModel (5)

###### GtkTreeModel::row-changed

This signal is emitted when a row in the model has changed.

###### GtkTreeModel::row-deleted

This signal is emitted when a row has been deleted.

###### GtkTreeModel::row-has-child-toggled

This signal is emitted when a row has gotten the first child row or lost its last child row.

###### GtkTreeModel::row-inserted

This signal is emitted when a new row has been inserted in the model.

###### GtkTreeModel::rows-reordered

This signal is emitted when the children of a node in the `GtkTreeModel` have been reordered.

#### Class structure

    struct DevhelpKeywordModelClass {
      GObjectClass parent_class;
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`padding: gpointer`

  No description available.